#
Addresses

Explain addresses,formats and checksumming here.

Also see: constants.AddressZero

###
Functions

utils . getAddress ( address ) ⇒ string
source

Returns address as a Checksum Address.

If address is an invalid 40-nibble Hexstring or if it contains mixed case and the checksum is invalid, an InvalidArgument Error is throw.

The value of address may be any supported address format.

utils . isAddress ( address ) ⇒ boolean
source

Returns true if address is valid (in any supported format).

utils . getIcapAddress ( address ) ⇒ string
source

Returns address as an ICAP address. Supports the same restrictions as utils.getAddress.

utils . getContractAddress ( transaction ) ⇒ string
source

Returns the contract address that would result if transaction was used to deploy a contract.

The content of this site is licensed under the Creative Commons Attribution 4.0 International License.